API KEYS
List tenant API keys
GET
/v1/api-keysSee the request and response contract below.
Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Responses
Response 200
JSON response
application/json · Response schema
api_keysarray<object>optionalNested fields
idstringoptionalnamestring,nulloptionalscopesarray,nulloptionalrevokedbooleanoptionallivemodebooleanoptionalWhether this key targets live data. False means sandbox/test data.
created_atstringoptionalexpires_atstring,null · date-timeoptionalAbsolute UTC expiry. Null means the key does not expire.
last_used_atstring,null · date-timeoptionalMost recent successful authentication. Null means the key has not been used.
View JSON schema
{ "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": [ "string", "null" ] }, "scopes": { "type": [ "array", "null" ], "items": { "type": "string" } }, "revoked": { "type": "boolean" }, "livemode": { "type": "boolean", "description": "Whether this key targets live data. False means sandbox/test data." }, "created_at": { "type": "string" }, "expires_at": { "type": [ "string", "null" ], "format": "date-time", "description": "Absolute UTC expiry. Null means the key does not expire." }, "last_used_at": { "type": [ "string", "null" ], "format": "date-time", "description": "Most recent successful authentication. Null means the key has not been used." } } }
View JSON schema
{
"type": "object",
"properties": {
"api_keys": {
"type": "array",
"items": {
"$ref": "#/components/schemas/APIKey"
}
}
}
}Response 401
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 403
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}